# Uses of Class
javajs.util.T4

Packages that use T4
Package
Description
javajs.util

## Uses of T4 in javajs.util

Subclasses of T4 in javajs.util
Modifier and Type
Class
Description
`class`
`P4`
A 4 element point that is represented by single precision floating point x,y,z,w coordinates.
Methods in javajs.util with parameters of type T4
Modifier and Type
Method
Description
`void`
M4.`transform(T4 vec)`
Transform the vector vec using this Matrix4f and place the result back into vec.
`void`
M4.`transform2(T4 vec, T4 vecOut)`
Transform the vector vec using this Matrix4f and place the result into vecOut.